<?php

namespace Bydedi\Routing\Loader;

use Symfony\Component\Routing\Loader\AnnotationClassLoader as AnnotationClassLoaderSF;
use Symfony\Component\Routing\Route;

class AnnotationClassLoader extends AnnotationClassLoaderSF
{

    protected function configureRoute(Route $route, \ReflectionClass $class, \ReflectionMethod $method, $annot)
    {
        $route->setDefault('_controller', $class->getName());
        $route->setDefault('_action', $method->getName());
    }
}
